//Handles generic actions on entries
function viewEntry(entryID, entryType) {
  switch (entryType) {
    case 'abperson':
      document.iabform.entryid.value = unescape(entryID);
      document.iabform.action = 'viewcontact-main.xml';
      url= 'viewcontact-main.xml?entryid=' + unescape(entryID) + "&bookid=" + document.iabform.actionbookid.value;
      openPopup(url, entryID);
      break;
    case 'group':
      document.iabform.entryid.value = unescape(entryID);
      document.iabform.action = 'viewgroup-main.xml';
      url= 'viewgroup-main.xml?entryid=' + unescape(entryID);
      openPopup(url, entryID);
      break;
    default:
      alert(i18n['No entry of this type']);
      break;
  }
}

function editEntry(entryID, entryType, nextview, openInPopup) {
  switch (entryType) {
    case 'abperson':
      document.iabform.entryid.value = unescape(entryID);
      document.iabform.action = 'editcontact-main.xml';
      url= 'editcontact-main.xml?entryid=' + unescape(entryID);
      openPopup(url, entryID);
      //document.iabform.nextview.value  = nextview;
      break;
    case 'group':
      document.iabform.entryid.value = unescape(entryID);
      document.iabform.action = 'editgroup-main.xml';
      url= 'editgroup-main.xml?entryid=' + unescape(entryID);
      openPopup(url, entryID);
      break;
    case 'abook':
      document.iabform.entryid.value = unescape(entryID);
      document.iabform.action        = 'editab.xml';
      break;
    default:
      alert(i18n['No entry of this type']);
      break;
  }    
}

function deleteEntry(entryID) 
{
  id=unescape(entryID);
  <!-- First remove the entry from the already selected -->
  if (document.iabform.selectedentry != null) {
    if ((document.iabform.selectedentry.length != null) && (document.iabform.selectedentry.length > 0)) {
      for (var i = 0; i <  document.iabform.selectedentry.length; i++) {
        if(document.iabform.selectedentry[i].value == id) {
          document.iabform.selectedentry[i].value = "";
          break;
        }
      }
    }
    else {
      if(document.iabform.selectedentry.value == id) {
        document.iabform.selectedentry.value = "";
      }
    }
  }

  document.iabform.entryid.value = id;  
  document.iabform.stopsearch.value = "1";
  if( document.iabform.wcfg_searchmode != null )
     document.iabform.wcfg_searchmode.value = "";
  submitForm('deleteentry');
}

function deleteAB(id, defbookid) {
  if( id == defbookid )
    alert(i18n["Default Book cannot be deleted"]);
  else {
    document.iabform.entryid.value = unescape(id);
    document.iabform.bookid.value  = unescape(id);
    goToUsingForm("confirm-abdelete.xml")
  }
}

function unsubscribe(id, defbookid) {
  if( id == defbookid )
    alert(i18n["Default Book cannot be unsubscribed"]);
  else {
    alert(i18n["No integration provided"]);
  }
}
